/*---------------------------------------------------------------------------*\
 | MessageBox.h - CtlHTML(tm) Control Library Test Program                   |
 |                Windmill Point Software, Alburg, VT 05440                  |
 |                Copyright (c) 1999, Windmill Point Software                |
 |                All Rights Reserved.                                       |
\*---------------------------------------------------------------------------*/

#if !defined(AFX_MESSAGEBOX_H__A05CD1C1_E0AC_11D2_8171_D0164FC10000__INCLUDED_)
#define AFX_MESSAGEBOX_H__A05CD1C1_E0AC_11D2_8171_D0164FC10000__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

// constants

const int MaxButtonsCount  = 16;    // maximum buttons allowed in a message box


/////////////////////////////////////////////////////////////////////////////
// CMessageBoxOptions dialog

class CMessageBoxOptions : public CPropertyPage
{
	DECLARE_DYNCREATE(CMessageBoxOptions)

// Construction
public:
	CMessageBoxOptions();
	~CMessageBoxOptions();

// Dialog Data
	//{{AFX_DATA(CMessageBoxOptions)
	enum { IDD = IDD_MESSAGEBOX_OPTIONS };
	int		m_DefaultButton;
	CString	m_DisplayInFutureText;
	UINT	   m_HelpID;
	CString	m_MessageText;
	int		m_ResourceIcon;
	CString	m_ReturnValue;
	int		m_StandardButtons;
	int		m_StandardIcon;
	int   	m_Timeout;
	CString	m_TitleText;
	//}}AFX_DATA

   HTMLButtonList m_ButtonList[MaxButtonsCount + 1];
   HTMLButtonList *m_pButtonList;
   UINT     m_Flags;
   UINT     m_IconNumber;

   CMcMRUList *m_pTitleMRU;
   CMcMRUList *m_pMessageMRU;
   CMcMRUList *m_pFutureMRU;

// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CMessageBoxOptions)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnInitDialog();
	//}}AFX_VIRTUAL

// Implementation
public:
   void InitCombos ();

protected:
	// Generated message map functions
	//{{AFX_MSG(CMessageBoxOptions)
	afx_msg void OnChangeStandardButtons();
	afx_msg void OnCustomButtons();
   afx_msg void OnActivate( UINT nState, CWnd* pWndOther, BOOL bMinimized );
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
// CDetailsBoxOptions dialog

class CDetailsBoxOptions : public CPropertyPage
{
	DECLARE_DYNCREATE(CDetailsBoxOptions)

// Construction
public:
	CDetailsBoxOptions();
	~CDetailsBoxOptions();

// Dialog Data
	//{{AFX_DATA(CDetailsBoxOptions)
	enum { IDD = IDD_DETAILSBOX_OPTIONS };
	int		m_DefaultButton;
   CString  m_DetailsText;
	CString	m_DisplayInFutureText;
	UINT	   m_HelpID;
	CString	m_MessageText;
	int		m_ResourceIcon;
	CString	m_ReturnValue;
	int		m_StandardButtons;
	int		m_StandardIcon;
	int   	m_Timeout;
	CString	m_TitleText;
	//}}AFX_DATA

   HTMLButtonList m_ButtonList[MaxButtonsCount + 1];
   HTMLButtonList *m_pButtonList;
   UINT     m_Flags;
   UINT     m_IconNumber;

   CMcMRUList *m_pTitleMRU;
   CMcMRUList *m_pMessageMRU;
   CMcMRUList *m_pDetailsMRU;
   CMcMRUList *m_pFutureMRU;

// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CDetailsBoxOptions)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnInitDialog();
	//}}AFX_VIRTUAL

// Implementation
public:
   void InitCombos ();

protected:
	// Generated message map functions
	//{{AFX_MSG(CDetailsBoxOptions)
	afx_msg void OnChangeStandardButtons();
	afx_msg void OnCustomButtons();
   afx_msg void OnActivate( UINT nState, CWnd* pWndOther, BOOL bMinimized );
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
// CFlashBoxOptions dialog

class CFlashBoxOptions : public CPropertyPage
{
	DECLARE_DYNCREATE(CFlashBoxOptions)

// Construction
public:
	CFlashBoxOptions();
	~CFlashBoxOptions();

// Dialog Data
	//{{AFX_DATA(CFlashBoxOptions)
	enum { IDD = IDD_FLASHBOX_OPTIONS };
	CString	m_DisplayInFutureText;
	CString	m_MessageText;
	int		m_ResourceIcon;
	int		m_StandardIcon;
	int   	m_Timeout;
	CString	m_TitleText;
	//}}AFX_DATA

   UINT     m_Flags;
   UINT     m_IconNumber;

   CMcMRUList *m_pTitleMRU;
   CMcMRUList *m_pMessageMRU;
   CMcMRUList *m_pFutureMRU;

// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CFlashBoxOptions)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnInitDialog();
	//}}AFX_VIRTUAL

// Implementation
public:
   void InitCombos ();

protected:
	// Generated message map functions
	//{{AFX_MSG(CFlashBoxOptions)
   afx_msg void OnActivate( UINT nState, CWnd* pWndOther, BOOL bMinimized );
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
// CMessageOptions

class CMessageOptions : public CMcPropertySheet
{
	DECLARE_DYNAMIC(CMessageOptions)

// Construction
public:
	CMessageOptions(UINT nIDCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);
	CMessageOptions(LPCTSTR pszCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMessageOptions)
	public:
	virtual BOOL OnInitDialog();
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CMessageOptions();

   CMessageBoxOptions m_MessageBoxOptions;
   CDetailsBoxOptions m_DetailsBoxOptions;
   CFlashBoxOptions   m_FlashBoxOptions;

	// Generated message map functions
protected:
	//{{AFX_MSG(CMessageOptions)
	afx_msg void OnDestroy();
	afx_msg void OnTest();
   afx_msg void OnActivate( UINT nState, CWnd* pWndOther, BOOL bMinimized );
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
// CButtonList dialog

class CButtonList : public CDialog
{
// Construction
public:
	CButtonList(HTMLButtonList *pButtonList, CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CButtonList)
	enum { IDD = IDD_BUTTON_LIST };
	//}}AFX_DATA

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CButtonList)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnInitDialog();
	//}}AFX_VIRTUAL

// Implementation
protected:
   HTMLButtonList *m_pButtonList;
   void EnableButtons();

	// Generated message map functions
	//{{AFX_MSG(CButtonList)
	afx_msg void OnEditItem();
	afx_msg void OnNewItem();
	afx_msg void OnRemoveAll();
	afx_msg void OnRemoveItem();
   afx_msg void OnActivate( UINT nState, CWnd* pWndOther, BOOL bMinimized );
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
// CAddButton dialog

class CAddButton : public CDialog
{
// Construction
public:
	CAddButton(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CAddButton)
	enum { IDD = IDD_ADD_BUTTON };
	UINT	m_ID;
	int	m_InsertAfter;
	BOOL	m_IsDefault;
	CString	m_Name;
	//}}AFX_DATA

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAddButton)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CAddButton)
   afx_msg void OnActivate( UINT nState, CWnd* pWndOther, BOOL bMinimized );
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
// CEditButton dialog

class CEditButton : public CDialog
{
// Construction
public:
	CEditButton(CWnd* pParent = NULL, LPCTSTR title = 0);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CEditButton)
	enum { IDD = IDD_EDIT_BUTTON };
	UINT	m_ID;
	BOOL	m_IsDefault;
	CString	m_Name;
	//}}AFX_DATA

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CEditButton)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnInitDialog();
	//}}AFX_VIRTUAL

// Implementation
protected:
   LPCTSTR m_Title;

	// Generated message map functions
	//{{AFX_MSG(CEditButton)
   afx_msg void OnActivate( UINT nState, CWnd* pWndOther, BOOL bMinimized );
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

// {{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MESSAGEBOX_H__A05CD1C1_E0AC_11D2_8171_D0164FC10000__INCLUDED_)
